<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var $block \Magento\Wishlist\Block\Customer\Sharing */
?>
<form class="form wishlist share"
      action="<?php /* @escapeNotVerified */ echo $block->getSendUrl() ?>"
      id="form-validate"
      method="post"
      data-hasrequired="<?php /* @escapeNotVerified */ echo __('* Required Fields') ?>"
      data-mage-init='{"validation":{}}'>
    <fieldset class="fieldset">
        <?php echo $block->getBlockHtml('formkey')?>
        <legend class="legend"><span><?php /* @escapeNotVerified */ echo __('Sharing Information') ?></span></legend><br />
        <div class="field emails required">
            <label class="label" for="email_address"><span><?php /* @escapeNotVerified */ echo __('Email addresses, separated by commas') ?></span></label>
            <div class="control">
                <textarea name="emails" cols="60" rows="5" id="email_address" data-validate="{required:true,'validate-emails':true}"><?php /* @escapeNotVerified */ echo $block->getEnteredData('emails') ?></textarea>
            </div>
        </div>
        <div class="field text">
            <label class="label" for="message"><span><?php /* @escapeNotVerified */ echo __('Message') ?></span></label>
            <div class="control">
                <textarea id="message" name="message" cols="60" rows="5"><?php /* @escapeNotVerified */ echo $block->getEnteredData('message') ?></textarea>
            </div>
        </div>
        <?php if ($this->helper('Magento\Wishlist\Helper\Rss')->isRssAllow()): ?>
            <div class="field choice rss">
                <input type="checkbox" name="rss_url" id="rss_url" value="1" title="<?php /* @escapeNotVerified */ echo __('Check here to link an RSS feed to your Wish List.') ?>" class="checkbox">
                <label class="label" for="rss_url">
                    <span>
                        <?php /* @escapeNotVerified */ echo __('Check here to link an RSS feed to your Wish List.') ?>
                    </span>
                </label>
            </div>
        <?php endif; ?>
    </fieldset>
    <div class="actions-toolbar">
        <div class="primary">
            <button type="submit" title="<?php /* @escapeNotVerified */ echo __('Share Wish List') ?>" class="action submit primary">
                <span><?php /* @escapeNotVerified */ echo __('Share Wish List') ?></span>
            </button>
        </div>
        <div class="secondary">
            <a class="action back" href="<?php /* @escapeNotVerified */ echo $block->getBackUrl(); ?>"><span><?php /* @escapeNotVerified */ echo __('Back')?></span></a>
        </div>
    </div>
</form>
